s9y and PHP 5.4

Random stuff about serendipity. Discussion, Questions, Paraphernalia.
Post Reply
schimanke
Regular
Posts: 161
Joined: Mon Jan 07, 2008 4:38 pm
Location: Hameln, Germany
Contact:

s9y and PHP 5.4

Post by schimanke » Thu Dec 06, 2012 2:58 pm

Hi there,

today I received an email from my hosting provider (1&1 in Germany) who informed me that they will stop supporting PHP 5.2 starting on April 1st 2013 and that I may already switch to PHP 5.4. When I did so, my RSS-feed stopped working and I got a lot of errors like
Strict Standards: Non-static method serendipity_plugin_api::hook_event() should not be called statically in...
Switching back to PHP 5.2 solved the issues. In the mentioned mail my provider also informed me that PHP 5.4 does not support the option "Register Globals". Is there any general problem in s9y with PHP 5.4 or do I just have to change some settings? I am currently using s9y 1.6 and PHP 5.2.17.

Any ideas where the problems might come from?

User avatar
Timbalu
Regular
Posts: 4598
Joined: Sun May 02, 2004 3:04 pm

Re: s9y and PHP 5.4

Post by Timbalu » Thu Dec 06, 2012 3:52 pm

This is ridiculous!
Please read http://board.s9y.org/viewtopic.php?f=10&t=19041
You should consider, the GitHub Master Zip is the upcoming 1.7 branch.
https://github.com/s9y/Serendipity/archive/master.zip
This is still marked as 1.7-alpha1, but it is end of beta, ... say something more like a RC (release candidate). This branch is optimized to work with the 5.4 error reporting. We still need testers, to get rid of all possible last errors, to release it as soon as possible. But as 1&1 is somehow silly not installing the current standard PHP 5.3.x branch, I would recommend using the 1&1-dev-php 5.4 and a current Serendipity master zip, or leave 1&1 to a better hoster, which might be an alternative!

Did you try your current installation with php5.4x and disabled these errors by

Code: Select all

error_reporting(E_ALL & ~E_NOTICE ^ E_STRICT ^ E_DEPRECATED);
in serendipity_config.inc.php ~ line 54?

"Register Globals" has always been turned off!
Regards,
Ian

Serendipity Styx Edition and additional_plugins @ https://ophian.github.io/ @ https://github.com/ophian

schimanke
Regular
Posts: 161
Joined: Mon Jan 07, 2008 4:38 pm
Location: Hameln, Germany
Contact:

Re: s9y and PHP 5.4

Post by schimanke » Thu Dec 06, 2012 8:14 pm

Thanks for that. Sounds pretty odd. I will either try your suggestions or simply wait until April. I guess s9y 1.7 will be out by then.

Post Reply